## AwnOverlayPixbufFile AwnOverlayPixbufFile — An subclass of AwnOverlayPixbuf to overlay a GdkPixbuf loaded from a Filename. |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libawn/libawn.h>

                        AwnOverlayPixbufFile;
    AwnOverlayPixbufFile* awn_overlay_pixbuf_file_new       (gchar *file_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----AwnOverlay
                   +----AwnOverlayPixbuf
                         +----AwnOverlayPixbufFile

## Properties

      "file-name"                gchar*                : Read / Write / Construct

## Description

Overlay a GdkPixbuf, loaded using the filename provided, on an AwnOverlaidIcon. You probably should _NOT_ be using this object. You should, probably, be using AwnOverlayThemedIcon.

## Details

### AwnOverlayPixbufFile

    typedef struct _AwnOverlayPixbufFile AwnOverlayPixbufFile;

Overlay a GdkPixbuf, loaded using the filename provided, on an AwnOverlaidIcon. You probably should _NOT_ be using this object. You should, probably, be using AwnOverlayThemedIcon.

### awn_overlay_pixbuf_file_new ()

    AwnOverlayPixbufFile* awn_overlay_pixbuf_file_new       (gchar *file_name);

`file_name` : |
Returns : |

## Property Details

### The `"file-name"` property

      "file-name"                gchar*                : Read / Write / Construct

File Name.

Default value: ""

## See Also

#AwnOverlay, AwnOverlayText, AwnOverlayThemedIcon, AwnOverlayThrobber, AwnOverlayPixbuf, AwnEffects